USE [COWS]
GO

IF	OBJECT_ID(N'cnv.FSA_ORDR_CUST', N'U') IS NOT NULL 
		DROP TABLE cnv.FSA_ORDR_CUST
IF	OBJECT_ID(N'cnv.ORDR_CNTCT', N'U') IS NOT NULL 
		DROP TABLE cnv.ORDR_CNTCT
IF	OBJECT_ID(N'cnv.ORDR_ADR', N'U') IS NOT NULL 
		DROP TABLE cnv.ORDR_ADR
		
CREATE TABLE cnv.FSA_ORDR_CUST
(	
	ORDR_ID	INT,
	CIS_LVL_TYPE VARCHAR(2),
	CUST_NME VARCHAR(MAX)
)

CREATE TABLE cnv.ORDR_CNTCT
(	
	ORDR_CNTCT_ID	INT,
	FRST_NME  VARCHAR(MAX),
	LST_NME VARCHAR(MAX),
	EMAIL_ADR VARCHAR(MAX),
	CNTCT_NME VARCHAR(MAX)
)

CREATE TABLE cnv.ORDR_ADR
(	
	ORDR_ADR_ID	INT,
	STREET_ADR_1 VARCHAR(MAX),
	STREET_ADR_2 VARCHAR(MAX),
	CTY_NME VARCHAR(MAX),
	PRVN_NME VARCHAR(MAX),
	STT_CD VARCHAR(MAX),
	ZIP_PSTL_CD VARCHAR(MAX),
	BLDG_NME VARCHAR(MAX),
	FLR_ID VARCHAR(MAX),
	RM_NBR VARCHAR(MAX)
)

OPEN SYMMETRIC KEY FS@K3y
    DECRYPTION BY CERTIFICATE S3cFS@CustInf0;
GO


INSERT INTO cnv.FSA_ORDR_CUST
(ORDR_ID, CIS_LVL_TYPE, CUST_NME)
SELECT DISTINCT ORDR_ID, CIS_LVL_TYPE, dbo.decryptBinaryData(CUST_NME) 
FROM dbo.FSA_ORDR_CUST WITH (NOLOCK)


INSERT INTO cnv.ORDR_CNTCT
(ORDR_CNTCT_ID, FRST_NME, LST_NME, EMAIL_ADR, CNTCT_NME)
SELECT DISTINCT ORDR_CNTCT_ID, dbo.decryptBinaryData(FRST_NME), dbo.decryptBinaryData(LST_NME), dbo.decryptBinaryData(EMAIL_ADR), dbo.decryptBinaryData(CNTCT_NME) 
FROM dbo.ORDR_CNTCT WITH (NOLOCK)

INSERT INTO cnv.ORDR_ADR
(ORDR_ADR_ID, STREET_ADR_1, STREET_ADR_2, CTY_NME, PRVN_NME, STT_CD, ZIP_PSTL_CD, BLDG_NME, FLR_ID, RM_NBR)
SELECT DISTINCT ORDR_ADR_ID, dbo.decryptBinaryData(STREET_ADR_1), dbo.decryptBinaryData(STREET_ADR_2), dbo.decryptBinaryData(CTY_NME), dbo.decryptBinaryData(PRVN_NME),
dbo.decryptBinaryData(STT_CD), dbo.decryptBinaryData(ZIP_PSTL_CD), dbo.decryptBinaryData(BLDG_NME), dbo.decryptBinaryData(FLR_ID), dbo.decryptBinaryData(RM_NBR)
FROM dbo.ORDR_ADR WITH (NOLOCK)


--SELECT * FROM cnv.FSA_ORDR_CUST WITH (NOLOCK)

--SELECT * FROM cnv.ORDR_CNTCT WITH (NOLOCK)

--SELECT * FROM cnv.ORDR_ADR WITH (NOLOCK)


--IF	OBJECT_ID(N'cnv.FSA_ORDR_CUST', N'U') IS NOT NULL 
--		DROP TABLE cnv.FSA_ORDR_CUST
--IF	OBJECT_ID(N'cnv.ORDR_CNTCT', N'U') IS NOT NULL 
--		DROP TABLE cnv.ORDR_CNTCT
--IF	OBJECT_ID(N'cnv.ORDR_ADR', N'U') IS NOT NULL 
--		DROP TABLE cnv.ORDR_ADR